aboutsummaryrefslogblamecommitdiffstats
path: root/main/libva/APKBUILD
blob: b2b1f09feb9f0c86236d71f2782e6c1806178902 (plain) (tree)
1
2
3
4
5
6
7
8
9
                                                     
                                                   
             
            
        


                                                
                                  

             
                                                             
                                                    

                          
                                                                                                     
 
           






                                                                          

                       



                                                                          


         
                      



                                 



                                           
                              
                               

                                   

                               


           

                                      

 
                                                                                                                                                                  
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libva
pkgver=2.1.0
pkgrel=1
pkgdesc="Video Acceleration (VA) API for Linux"
url="http://freedesktop.org/wiki/Software/vaapi"
arch="all"
options="!check"  # No test suite.
license="MIT"
depends=""
depends_dev="libx11-dev libxext-dev libxfixes-dev libdrm-dev"
makedepends="$depends_dev autoconf automake libtool"
install=""
subpackages="$pkgname-dev"
source="https://github.com/01org/${pkgname}/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.bz2"

prepare() {
	( if [ -f "$startdir"/../libva-glx/APKBUILD ]; then
		_v=$pkgver
		. "$startdir"/../libva-glx/APKBUILD
		if [ "$_v" != "$pkgver" ]; then
			die "libva and libva-glx needs to be same version"
		fi
	fi )
	cd "$builddir"
	default_prepare
	# we need to regen the configure script which will unconditionally
	# depend on wayland scanner otherwise
	libtoolize --force && aclocal -I m4 && autoconf \
		&& automake --add-missing
}

build() {
	cd "$builddir"
	./configure \
		--build=$CBUILD \
		--host=$CHOST \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--localstatedir=/var \
		--enable-x11 \
		--disable-glx \
		--disable-wayland \
		--disable-static \
		--enable-shared
	make
}

package() {
	cd "$builddir"
	make DESTDIR="$pkgdir" install
}

sha512sums="973b32117375f81ad0ebb8b9f8d5516fd115a9eb9ac95cf9a0e10ee7d340d8d9e41f3e7aa79a2c85f2736f2bc206abbb57a59998cf69019616788e6a571bf24b  libva-2.1.0.tar.bz2"